Foreman - Bug #5453

VMware: failed to create vm: undefined method "new' for "VirtualVmxnet3":String

04/25/2014 05:13 PM - Dominic Cleal

Status: Closed

Priority: High

Assignee: Dominic Cleal

Category: Compute resources

Target version: 1.5.0

Difficulty: Fixed in Releases:

Triaged: Found in Releases: 1.5.0
Bugzilla link: Red Hat JIRA:

Pull request:

Description

As reported in the comments in #5248, VMware host creation fails with:

Failed to create a compute SysEng-vCenter (VMWare)
ndefined method "new' for "VirtualVmxnet3":String

instance test9.lab2.lan:

failed to create wvm:

Digging into it, the changes in #2438 to the create_vm + related methods has resulted in us sending a hash with keys as strings into
Fog, so the interface type isn't correctly converted from a string into a class.

u

Associated revisions

Revision 80ad15ca - 04/28/2014 11:28 AM - Dominic Cleal

fixes #5453 - ensure all VMware compute attribute keys are symbolized

Revision ec509145 - 04/28/2014 11:51 AM - Dominic Cleal

fixes #5453 - ensure all VMware compute attribute keys are symbolized

(cherry picked from commit 80ad15ca975c741c2cbdcb1ed4ebieb161e1034c)

History

#1 - 04/28/2014 08:30 AM - Dominic Cleal
- Status changed from Assigned to Ready For Testing

https://github.com/theforeman/foreman/pull/1405

#2 - 04/28/2014 11:31 AM - Dominic Cleal
- Status changed from Ready For Testing to Closed
- % Done changed from 0 to 100

Applied in changeset 80ad15ca975c741c2cbdcbie44ebieb161e1034c.
